Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.util
Class XMLParser.ParsingOptions

    java.lang.Object
      org.apache.uima.util.XMLParser.ParsingOptions

Enclosing interface:
  XMLParser

    public static class XMLParser.ParsingOptions

extends Object

Option settings for the parser.

Field Summary
`boolean` | `expandEnvVarRefs` Whether to expand <envVarRef>VARNAME</envVarRef> elements by substituting the value of the System proprery VARNAME.
`boolean` | `expandXIncludes` Deprecated. XInclude is no longer supported

Constructor Summary
`XMLParser.ParsingOptions(boolean aExpandEnvVarRefs)` Creates a new ParsingOptions object.
`XMLParser.ParsingOptions(boolean aExpandXIncludes, boolean aExpandEnvVarRefs)` Deprecated. XInclude is no longer supported

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expandXIncludes

    public boolean expandXIncludes

  Deprecated. XInclude is no longer supported
  Whether to expand <xi:include> elements according to the XInclude spec.

### expandEnvVarRefs

    public boolean expandEnvVarRefs

  Whether to expand <envVarRef>VARNAME</envVarRef> elements by substituting the value of the System proprery VARNAME.

Constructor Detail

### XMLParser.ParsingOptions

    public XMLParser.ParsingOptions(boolean aExpandXIncludes,
                                    boolean aExpandEnvVarRefs)

  Deprecated. XInclude is no longer supported

  Creates a new ParsingOptions object.

  Parameters:
    `aExpandXIncludes` - Whether to expand <xi:include> elements according to the XInclude spec.
    `aExpandEnvVarRefs` - Whether to expand <envVarRef>VARNAME</envVarRef> elements by substituting the value of the System proprery VARNAME.

### XMLParser.ParsingOptions

    public XMLParser.ParsingOptions(boolean aExpandEnvVarRefs)

  Creates a new ParsingOptions object.

  Parameters:
    `aExpandEnvVarRefs` - Whether to expand <envVarRef>VARNAME</envVarRef> elements by substituting the value of the System proprery VARNAME.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.